<?php
/*
dynamic css file. please don't edit it. it's update automatically when settins changed
*/
add_action('wp_head', 'mighti_custom_colors', 160);
function mighti_custom_colors() { 
global $mighti_option;	
/***styling options
------------------*/
	if(!empty($mighti_option['body_bg_color']))
	{
	 $body_bg          = $mighti_option['body_bg_color'];
	}

	$site_color       = !empty($mighti_option['primary_color']) ? $mighti_option['primary_color'] : '';
	$secondary_color  = !empty($mighti_option['secondary_color']) ? $mighti_option['secondary_color'] : '';	

	
	//typography extract for body
		
	$body_typography_font      = !empty($mighti_option['opt-typography-body']['font-family']) ? $mighti_option['opt-typography-body']['font-family'] : '';
	$body_typography_font_size = !empty($mighti_option['opt-typography-body']['font-size']) ? $mighti_option['opt-typography-body']['font-size'] : '' ;

	//typography extract for menu	
	$menu_typography_weight      = !empty($mighti_option['opt-typography-menu']['font-weight']) ? $mighti_option['opt-typography-menu']['font-weight']: '';	
	$menu_typography_font_family = !empty($mighti_option['opt-typography-menu']['font-family']) ? $mighti_option['opt-typography-menu']['font-family'] : '';
	$menu_typography_font_fsize  = !empty($mighti_option['opt-typography-menu']['font-size']) ? $mighti_option['opt-typography-menu']['font-size'] : '';

	
	

$body_color  = !empty($mighti_option['body_text_color']) ? $mighti_option['body_text_color'] : '' ;	?>

<!-- Typography -->
<?php if(!empty($body_color)){
	$mighti_option = get_option('mighti_option');
?>
<style>	

	body{
		background:<?php echo sanitize_hex_color($body_bg); ?>;
		color:<?php echo sanitize_hex_color($body_color); ?> !important;
		<?php if(!empty($body_typography_font)){ ?>
			font-family: <?php echo esc_attr($body_typography_font);?> !important;   
		<?php } ?> 
	    font-size: <?php echo esc_attr($body_typography_font_size);?> !important;
	}	

	
	.menu-area .navbar ul li > a,
	.sidenav .widget_nav_menu ul li a{
		<?php if(!empty($menu_typography_weight)){ ?>
			font-weight: <?php echo esc_attr($menu_typography_weight);?>;   
		<?php } ?>
		<?php if(!empty($menu_typography_font_family)){ ?>
			font-family: <?php echo esc_attr($menu_typography_font_family);?>;   
		<?php } ?>
		font-size:<?php echo esc_attr($menu_typography_font_fsize); ?>;
	}
	:root{
		--primaryColor: <?php echo sanitize_hex_color($site_color);?> !important;
		--secondarycolor: <?php echo sanitize_hex_color($secondary_color);?> !important;

		--color-primary: <?php echo sanitize_hex_color($site_color);?> !important;
		--color-secondary: <?php echo sanitize_hex_color($secondary_color);?> !important;
	} 
	

	<?php if(!empty($mighti_option['breadcrumb_top_gap']) && !empty($mighti_option['breadcrumb_bottom_gap'])) : ?>
		.reactheme-breadcrumbs .breadcrumbs-inner,
		#reactheme-header.header-style-3 .reactheme-breadcrumbs .breadcrumbs-inner{
			padding-top:<?php echo esc_attr($mighti_option['breadcrumb_top_gap']); ?>;			
			padding-bottom:<?php echo esc_attr($mighti_option['breadcrumb_bottom_gap']); ?>;			
	}
	<?php endif; ?>

	<?php if(!empty($mighti_option['breadcrumb_position'])) : ?>
		.reactheme-breadcrumbs{
			margin-top:<?php echo esc_attr($mighti_option['breadcrumb_position']); ?>;		
		}
	<?php endif; ?>
	

	<?php if(!empty($mighti_option['container_size'])) : ?>
		@media only screen and (min-width: 1300px) {
			.container{
				max-width:<?php echo esc_attr($mighti_option['container_size']); ?>;
			}
		}
	<?php endif; ?>

	<?php if(!empty($mighti_option['preloader_bg_color'])) : ?>
		#mighti-load{
			background: <?php echo sanitize_hex_color($mighti_option['preloader_bg_color']); ?>;  
		}
	<?php endif; ?>

	<?php if(!empty($mighti_option['preloader_animate_color2'])) : ?>
		#mighti-load .lds-ring div{
			border-color: <?php echo sanitize_hex_color($mighti_option['preloader_animate_color2']); ?> transparent transparent transparent;  
		}
	<?php endif; ?>

	<?php if(!empty($mighti_option['page_title_color'])) : ?>
		.reactheme-breadcrumbs .page-title{
			color: <?php echo sanitize_hex_color($mighti_option['page_title_color']); ?> !important;  
		}
	<?php endif; ?>
	
	<?php if(!empty($mighti_option['body_bg_color'])) : ?>
		body.archive.tax-product_cat{
			background: <?php echo sanitize_hex_color($mighti_option['body_bg_color']); ?> !important;  
		}
	<?php endif; ?>


	/*============= Dark and Light color start here ================ */

	[data-theme="dark"] .rts_header__switch .header__switch__tooltip,
	[data-theme="light"] .rts_header__switch .header__switch__tooltip{
		background:<?php echo sanitize_hex_color($site_color);?>
	}

	/* background color change */
	<?php if(!empty($mighti_option['dark_mode_body'])){
		?>
			[data-theme="dark"] body,
			[data-theme="dark"] .bg-case_service,
			[data-theme="dark"] .rts-light-mood .portfolio-six-single-swiper {
				background: <?php echo sanitize_hex_color($mighti_option['dark_mode_body']);?> !important
			}
			/* btn hover color */
			[data-theme="dark"] .rts-light-mood .rts-case-service-area-h2 .rts-btn.btn-radious:hover,
			[data-theme="dark"] .single-service-h2:hover .inner-content a .title {
				color: <?php echo sanitize_hex_color($mighti_option['dark_mode_body']);?> !important
			} 

			/* text fill color  */
			[data-theme="dark"] .rts-light-mood .portfolio-six-single-swiper .left-content .title span {
				-webkit-text-fill-color: <?php echo sanitize_hex_color($mighti_option['dark_mode_body']);?> !important
			}
	<?php
	} ?>	

	/* Dark Secondary Background color change */
	<?php if(!empty($mighti_option['dark_mode_body_two'])){
	?>
		/* border  */
		[data-theme="dark"] .service-area-one-main-wrapper .single-item-service-one a,
		[data-theme="dark"] .service-area-one-main-wrapper .single-item-service-one,
		[data-theme="dark"] .rts-accordion .accordion-item,
		[data-theme="dark"] .pricing_inactive .rt-pricing-table-btn,
		[data-theme="dark"] .footer_copyright .elementor-widget-container,
		[data-theme="dark"] .after-effect-testi-right-img::after,
		[data-theme="dark"] .rts-light-mood .index-two .rts-signle-case_varticle,
		[data-theme="dark"] .rts-service-area.style3 .single-service-area-start,
		[data-theme="dark"] .rts-light-mood .service-collups-area .accordion-item,
		[data-theme="dark"] .rts-light-mood .service-collups-area .accordion-item::before,
		[data-theme="dark"] .history-nav,
		[data-theme="dark"] .history-nav .nav .single-tab-btn,
		[data-theme="dark"] .four-accordion-area-faq .accordion-item::after,
		[data-theme="dark"] .dark_border,
		[data-theme="dark"] .single-approach-area-start,
		[data-theme="dark"] .mySwiper-testimonails-about-s .testimonials-main-wrapper-about,
		[data-theme="dark"] .logo-grid-style1 .rt-grid-figure,
		[data-theme="dark"] .elementor-widget-rt-logo .elementor-widget-container,
		[data-theme="dark"] .mySwiper_service-h2 .single-service-h2,
		[data-theme="dark"] .mySwiper_service-h2 .single-service-h2:hover .icon,
		[data-theme="dark"] .react-heading span.sub-text,
		[data-theme="dark"] .reactheme-blog-grid.blog--style5 .single-blog-list-one,
		[data-theme="dark"] .reactheme-blog .blog-item,
		[data-theme="dark"] .react-sideabr .widget,
		[data-theme="dark"] .react-sideabr .widget_categories ul li,
		[data-theme="dark"] .react-sideabr .tagcloud a,
		[data-theme="dark"] .reactheme-blog-details .quote-area,
		[data-theme="dark"] .react-sideabr .widget_search input,
		[data-theme="dark"] .s-portfolio-bread,
		[data-theme="dark"] .s-portfolio-bread .elementor-element.e-child,
		[data-theme="dark"] .comments-area .comment-list li.comment .comment-body,
		[data-theme="dark"] .s_services_right_border,
		[data-theme="dark"] .s_services_right_border ul li,
		[data-theme="dark"] .contact-icon-box,
		[data-theme="dark"] .react-sideabr .widget_categories ul li a, 
		[data-theme="dark"] .react-sideabr .widget_archive ul li a, 
		[data-theme="dark"] .react-sideabr .widget_pages ul li a, 
		[data-theme="dark"] .react-sideabr .widget_meta ul li a, 
		[data-theme="dark"] .react-sideabr .widget_recent_entries ul li a, 
		[data-theme="dark"] .react-sideabr .widget_nav_menu ul li a, 
		[data-theme="dark"] .react-sideabr .widget_block ul li a {
			border-color: <?php echo sanitize_hex_color($mighti_option['dark_mode_body_two']);?> !important
		}
		/* background  */
		[data-theme="dark"] .single-testimonials-main-wrapper .body p.disc::after,
		[data-theme="dark"] .appintment_form .mf-input-wrapper .mf-input,
		[data-theme="dark"] .single-blog-area-4 .inner-content_b--4 .body .read-more-arrow-btn,
		[data-theme="dark"] .rts-light-mood .service-collups-area .accordion-item::before,
		[data-theme="dark"] .single-service-card-box-1.no,
		[data-theme="dark"] .mySwiper_service-h2 .single-service-h2,
		[data-theme="dark"] .react-sideabr .bs-search button,
		[data-theme="dark"] .reactheme-blog-details blockquote,
		[data-theme="dark"] .reactheme-blog-details blockquote::before,
		[data-theme="dark"] .s-portfolio-rt-btn .secondary_btn:hover,
		[data-theme="dark"] .react-sideabr .widget_categories ul li span{
			background: <?php echo sanitize_hex_color($mighti_option['dark_mode_body_two']);?> !important
		}

		/* color  */
		[data-theme="dark"]  #top-to-bottom i,
		[data-theme="dark"] .pricing_inactive .rt-pricing-table-title,
		[data-theme="dark"] .pricing_inactive .rt-pricing-table-period,
		[data-theme="dark"] .pricing_inactive .rt-pricing-table-features-list li,
		[data-theme="dark"] .pricing_inactive .rt-pricing-table-features-list li i,
		[data-theme="dark"] .pricing_inactive .rt-pricing-table-btn,
		[data-theme="dark"] .pricing_inactive .rt-pricing-table-features-title,
		[data-theme="dark"] .single-service-card-box-1.yes .title,
		[data-theme="dark"] .single-team-style-one .inner-content .name,
		[data-theme="dark"] .mySwiper_service-h2 .single-service-h2:hover .inner-content a,
		[data-theme="dark"] .pagination-area .nav-links span.current,
		[data-theme="dark"] .pagination-area .nav-links a:hover,
		[data-theme="dark"] .react-sideabr .widget_categories ul li:hover,
		[data-theme="dark"] .react-sideabr .widget_categories ul li:hover a,
		[data-theme="dark"] .s-portfolio-rt-btn .secondary_btn,
		[data-theme="dark"] .single-case-main-wrapper h5,
		[data-theme="dark"] .comment-respond .form-submit #submit,
		[data-theme="dark"] #menu-services-menu li.current-menu-item a,
		[data-theme="dark"] #menu-services-menu li:hover a{
			color: <?php echo sanitize_hex_color($mighti_option['dark_mode_body_two']);?> !important
		}

		<?php
	} ?>


	/* Dark Mode text color */
	<?php if(!empty($mighti_option['dark_mode_color'])){ ?>
		/* root color */
		[data-theme="dark"]:root{
			--color-primary : <?php echo sanitize_hex_color($mighti_option['dark_mode_color']);?> !important;
			--color-secondary: <?php echo sanitize_hex_color($mighti_option['dark_mode_color']);?> !important;	
			--primaryColor : <?php echo sanitize_hex_color($mighti_option['dark_mode_color']);?> !important;
		}
		/* color */
		[data-theme="dark"] h1, 
		[data-theme="dark"] h2, 
		[data-theme="dark"] h3, 
		[data-theme="dark"] h4,
		[data-theme="dark"] h5,
		[data-theme="dark"] h6,
		[data-theme="dark"] .rs-skill-bar .skillbar .skillbar-title,
		[data-theme="dark"] .rs-skill-bar .skillbar .skill-bar-percent,
		[data-theme="dark"] .react_button .learn-more-btn,
		[data-theme="dark"] .rts-accordion .accordion-item .accordion-header button,
		[data-theme="dark"] .rt-features-list-content ul li .sub-text,
		[data-theme="dark"] .title-area-inner .title span,
		[data-theme="dark"] .rts-signle-case_varticle .left-area span,
		[data-theme="dark"] .rts-light-mood .rts-case-service-area-h2 .rts-btn.btn-radious,
		[data-theme="dark"] .single-testimonial-2 .content-area .author p.name,
		[data-theme="dark"] .rt-review-main p.disc,
		[data-theme="dark"] .rt-review-main-dark .swiper-button-prev i,
		[data-theme="dark"] .rt-review-main-dark .swiper-button-next i,
		[data-theme="dark"] .mySwiper-testimonails-about-s .testimonials-main-wrapper-about .bottom p,
		[data-theme="dark"] .appintment_form .mf-input-wrapper .mf-input-label,
		[data-theme="dark"] .appintment_form .mf-input-wrapper .mf-input,
		[data-theme="dark"] .dark_list .elementor-icon-list-icon i,
		[data-theme="dark"] .dark_list .elementor-icon-list-text,
		[data-theme="dark"] .single-service-area-start .number-area span,
		[data-theme="dark"] .rts-service-area.style3 .single-service-area-start .sm-service p,
		[data-theme="dark"] .rts-service-area.style3 .single-service-area-start .sm-service i,
		[data-theme="dark"] .four-accordion-area-faq .accordion-item .accordion-header button .accordion-icon-area span,
		[data-theme="dark"] .service-collups-area .accordion-item .accordion-header .accordion-button .left-icon i,
		[data-theme="dark"] .single-blog-area-4 .inner-content_b--4 .body .read-more-arrow-btn,
		[data-theme="dark"] .single-blog-area-4 .inner-content_b--4 .body .read-more-arrow-btn i,
		[data-theme="dark"] .single-blog-area-4 .inner-content_b--4 .top span.date,
		[data-theme="dark"] .single-service-card-box-1.no .title,
		[data-theme="dark"] .single-service-card-box-1.no .plus-btn,
		[data-theme="dark"] .react-copyright .description p,
		[data-theme="dark"] .dark_border .react-copyright .description,
		[data-theme="dark"] .rt-features-list-content ul li .text-heading,
		[data-theme="dark"] .footer_dark_color .elementor-icon-list-text,
		[data-theme="dark"] .rts-light-mood .portfolio-six-single-swiper .left-content .title,
		[data-theme="dark"] .portfolio-six-single-swiper .left-content .pre-tag,
		[data-theme="dark"] .mySwiper_service-h2 .single-service-h2 .inner-content a,
		[data-theme="dark"] .single-service-card-box-1.yes:hover .title,
		[data-theme="dark"] .single-service-card-box-1.yes:hover .right-icon,
		[data-theme="dark"] .rts-coming-soon .section-inner .countdown-time span,
		[data-theme="dark"] .elementor-social-icons-wrapper a i,
		[data-theme="dark"] .full-blog-content .single-info a:hover,
		[data-theme="dark"] .reactheme-blog-details blockquote p,
		[data-theme="dark"] .reactheme-blog .blog-item .blog-button a:hover,
		[data-theme="dark"] .react-sideabr .tagcloud a:hover,
		[data-theme="dark"] .inner-page.portfolio-nine .portfolio-nine-wrapper-main span.pre,
		[data-theme="dark"] .inner-page.portfolio-nine .banner-portfolio-nine .learn-more-btn,
		[data-theme="dark"] .mySwiper_portfolio-3 .single-swiper-item:hover .discrip-port span,
		[data-theme="dark"] .rts-light-mood .banner-wrapper-seven .learn-more-btn,
		[data-theme="dark"] .circle-speen .speen-shape text textPath,
		[data-theme="dark"] .elementor-accordion-item .elementor-accordion-title,
		[data-theme="dark"] .elementor-accordion-item .elementor-accordion-icon,
		[data-theme="dark"] .s-portfolio-rt-btn .secondary_btn:hover,
		[data-theme="dark"] .offcanvas-icon.layout-2 .nav-menu-link:hover span,
		[data-theme="dark"] .rts-light-mood .rts-fs-menu * .menu-item > a,
		[data-theme="dark"] .rts-light-mood .rts-fs-container .sub-menu.active > .menu-item--back a,
		[data-theme="dark"] .burger_close_icon,
		[data-theme="dark"] #menu-services-menu li a,
		[data-theme="dark"] .single-services .elementor-widget-text-editor p span,
		[data-theme="dark"] .contact-icon-box .elementor-widget-icon .elementor-icon i{
			color: <?php echo sanitize_hex_color($mighti_option['dark_mode_color']);?> !important
		} 

		/* fill  */
		[data-theme="dark"] .service-area-one-main-wrapper .single-item-service-one a .button-area svg path,
		[data-theme="dark"] .single-services .elementor-widget-icon .elementor-icon svg path{
			fill: <?php echo sanitize_hex_color($mighti_option['dark_mode_color']);?> !important
		}
		/* Border Color  */
		[data-theme="dark"] .mySwiper-testimonails-about-s .swiper-button-prev::after,
		[data-theme="dark"] .mySwiper-testimonails-about-s .swiper-button-next::after,
		[data-theme="dark"] .mySwiper_service-h2 .single-service-h2 .icon{
			border-color: <?php echo sanitize_hex_color($mighti_option['dark_mode_color']);?> !important
		}
		/* Background Color  */
		[data-theme="dark"] .mySwiper_service-h2 .single-service-h2:hover,
		[data-theme="dark"] .reactheme-blog .blog-item .blog-button a:hover:after,
		[data-theme="dark"] .react-sideabr .widget_categories ul li:hover,
		[data-theme="dark"] .react-sideabr .widget_categories ul li:hover span,
		[data-theme="dark"] .s-portfolio-rt-btn .secondary_btn,
		[data-theme="dark"] .rt-portfolio-style6 .swiper-pagination .swiper-pagination-bullet,
		[data-theme="dark"] #menu-services-menu li.current-menu-item,
		[data-theme="dark"] #menu-services-menu li:hover {
			background: <?php echo sanitize_hex_color($mighti_option['dark_mode_color']);?> !important
		}

		<?php
	} ?>

	/* paragraph color change */
	<?php if(!empty($mighti_option['dark_mode_paragrahp_color'])){ ?>
		/* color */
		[data-theme="dark"] body,
		[data-theme="dark"] .single-testimonials-main-wrapper .star-area-start i,
		[data-theme="dark"] .react-copyright .description p a,
		[data-theme="dark"] .rt_services_item.yes .right-icon,
		[data-theme="dark"] .react-heading .description p,
		[data-theme="dark"] .react-heading .description p a,
		[data-theme="dark"] .rt-portfolio-style2 .swiper-button-prev i,
		[data-theme="dark"] .rt-portfolio-style2 .swiper-button-next i {
			color: <?php echo sanitize_hex_color($mighti_option['dark_mode_paragrahp_color']);?> !important
		}
		/* border color */
		[data-theme="dark"] .learn-more-btn i {
			border-color: <?php echo sanitize_hex_color($mighti_option['dark_mode_paragrahp_color']);?> !important
		}
		/* strok */
		[data-theme="dark"] .single-approach-area-start .number {
			-webkit-text-stroke-color: <?php echo sanitize_hex_color($mighti_option['dark_mode_paragrahp_color']);?> !important
		}

		<?php
	} ?>
	/* paragraph background change */
	<?php if(!empty($mighti_option['dark_mode_paragrahp_color'])){ ?>

		[data-theme="dark"] .rs-skill-bar .skillbar {
			background: <?php echo sanitize_hex_color($mighti_option['dark_mode_paragrahp_color']);?> !important
		}

		<?php
	} ?>


	/* Dark mode section background change */
	<?php if(!empty($mighti_option['dark_mode_section_bg'])){ ?>
		/* Background */
		[data-theme="dark"] .dark-section-bg,
		[data-theme="dark"] .single-approach-area-start,
		[data-theme="dark"] .elementor-element.elementor-element-fd320f0,
		[data-theme="dark"] .reactheme-blog-details .author-block,
		[data-theme="dark"] .inner-page.portfolio-nine,
		[data-theme="dark"] .mySwiper_portfolio-3 .single-swiper-item .discrip-port,
		[data-theme="dark"] .rts-light-mood .rts-fs-menu {
			background: <?php echo sanitize_hex_color($mighti_option['dark_mode_section_bg']);?> !important
		}

	<?php
	} ?>

	/* Other dark mode changes  */
	[data-theme="dark"] .img_hide {
		display: none !important;
	}
	[data-theme="dark"] .single-testimonials-main-wrapper .quote-img img {
		filter: invert(.9) !important;
	}
	[data-theme="dark"] .footer_logo .hfe-site-logo-img,
	[data-theme="dark"] .single-testimonial-2 .testimonial-quote-icon img,
	[data-theme="dark"] .single-service-card-box-1.no .right-icon,
	[data-theme="dark"] .mySwiper_service-h2 .single-service-h2:hover .icon img,
	[data-theme="dark"] .dark_style,
	[data-theme="dark"] .dark_style span.menu-text {
		filter: invert(1);
	}
	[data-theme="dark"] .single-service-card-box-1.no .icon img,
	[data-theme="dark"] .mySwiper_service-h2 .single-service-h2 .icon img {
		filter: invert(0);
	}
	[data-theme="dark"] .img_box_step h2 {
		opacity: .1;
	}
	[data-theme="dark"] .rts-light-mood .rts-case-service-area-h2 .rts-btn.btn-radious,
	[data-theme="dark"] .dark_border .elementor-widget-container{
		border: none !important;
	}
	[data-theme="dark"] .rts-light-mood .thumbnail-image-banner-7 img {
		box-shadow: none !important;
	}
	[data-theme="dark"] .line_shape_hide {
		background: none !important;
	}

	/* Blog Page */
	[data-theme="dark"] .reactheme-blog .blog-item,
	[data-theme="dark"] .dynamic-sidebar,
	[data-theme="dark"] .comments-area .comment-list li.comment,
	[data-theme="dark"] .swiper-portfolio-main-wrapper-7,
	[data-theme="dark"] .offcanvas-icon.layout-2 .nav-menu-link:hover span {
		background: transparent !important;
	}	
	[data-theme="dark"] .rts-light-mood .thumbnail-image-banner-7 img {
		background: #12121263;
	}
	[data-theme="dark"] .rts-light-mood .thumbnail-image-banner-7 img {
		border-color: #202020;
	}

</style>

<?php
	}
	 
	if(is_home() && !is_front_page() || is_home() && is_front_page()){
		$padding_top        = get_post_meta(get_queried_object_id(), 'content_top', true);
		$padding_bottom     = get_post_meta(get_queried_object_id(), 'content_bottom', true);		
		$footer_padd_top    = get_post_meta(get_queried_object_id(), 'footer_padd_top', true);
		$footer_padd_bottom = get_post_meta(get_queried_object_id(), 'footer_padd_bottom', true);
  		if($padding_top != '' || $padding_bottom != ''){
	  	?>
	  	  <style>
	  	  	.main-contain #content{
	  	  		<?php if(!empty($padding_top)): ?>padding-top:<?php echo esc_attr($padding_top); endif;?>;
	  	  		<?php if(!empty($padding_bottom)): ?>padding-bottom:<?php echo esc_attr($padding_bottom); endif;?>;
	  	  	}
	  	  </style>	
	  	<?php
	  	}
   		if($footer_padd_top != '' || $footer_padd_bottom != ''){
 	  	?>
 	  	  <style>
 	  	  	.reactheme-footer .footer-top{
 	  	  		<?php if(!empty($footer_padd_top)): ?>padding-top:<?php echo esc_attr($footer_padd_top); endif;?>;
 	  	  		<?php if(!empty($footer_padd_bottom)): ?>padding-bottom:<?php echo esc_attr($footer_padd_bottom); endif;?>;
 	  	  	}
 	  	  </style>	
 	  	  <?php
 	 	} 		
  }
  	else{ 
		$padding_top        = get_post_meta(get_the_ID(), 'content_top', true);
		$padding_bottom     = get_post_meta(get_the_ID(), 'content_bottom', true);		
		$footer_padd_top    = get_post_meta(get_the_ID(), 'footer_padd_top', true);
		$footer_padd_bottom = get_post_meta(get_the_ID(), 'footer_padd_bottom', true);
  		if($padding_top != '' || $padding_bottom != ''){
	  	?>
	  	  <style>
	  	  	.main-contain #content{
	  	  		<?php if(!empty($padding_top)): ?>padding-top:<?php echo esc_attr($padding_top); endif;?>;
	  	  		<?php if(!empty($padding_bottom)): ?>padding-bottom:<?php echo esc_attr($padding_bottom); endif;?>;
	  	  	}
	  	  </style>	
	  	<?php
	  }

		if($footer_padd_top != '' || $footer_padd_bottom != ''){
	  	?>
	  	  <style>
	  	  	.reactheme-footer .footer-top{
	  	  		<?php if(!empty($footer_padd_top)): ?>padding-top:<?php echo esc_attr($footer_padd_top); endif;?> !important;
	  	  		<?php if(!empty($footer_padd_bottom)): ?>padding-bottom:<?php echo esc_attr($footer_padd_bottom); endif;?> !important;
	  	  	}
	  	  </style>	
	  	  <?php
	 	} 
}	

if ( !class_exists('ReduxFrameworkPlugin') ) {  ?>		

	<style>@media only screen and (max-width: 1024px){
		.sidebarmenu-area.primary-menu.mobilehum {
			display: block !important;
		}
	} </style>
<?php }
}