<?php
    $mighti_option = get_option('mighti_option'); 
    $header_width_meta = get_post_meta(get_queried_object_id(), 'header_width_custom', true);

    if ($header_width_meta != ''){
        $header_width = ( $header_width_meta == 'full' ) ? 'container-fluid': 'container';
    }else{
        $header_width = !empty($mighti_option['header-grid']) ? $mighti_option['header-grid'] : '';
        $header_width = ( $header_width == 'full' ) ? 'container-fluid': 'container';
    }

    $post_menu_type = get_post_meta(get_queried_object_id(), 'menu-type', true);
    $post_meta_data = get_post_meta(get_queried_object_id(), 'banner_image', true);
    $content_banner = get_post_meta(get_queried_object_id(), 'content_banner', true); 
    // breadcrumbs_banner_show_hide
    $breadcrumbs_banner_show_hide = get_post_meta(get_queried_object_id(), 'breadcrumbs_banner_show_hide', true); 
    // Page Layout 
    $page_layout = get_post_meta( $post->ID, 'layout', true );

    $post_id        = get_the_id();
    $author_id      = get_post_field ('post_author', $post_id);
    $display_name   = get_the_author_meta( 'display_name' , $author_id );

    $single_blog_banner = !empty($mighti_option['blog_banner']['url']) ? $mighti_option['blog_banner']['url'] : '';
    $blog_banner_main = !empty($mighti_option['blog_banner_main']['url']) ? $mighti_option['blog_banner_main']['url'] : '';
    $blog_bg_color   = !empty($mighti_option['blog_bg_color']) ? $mighti_option['blog_bg_color'] : '';
 ?>

 <div class="reactheme-breadcrumbs porfolio-details rt-single-breadcrumbs">
    <?php if(!empty($single_blog_banner)) { ?>
        <div class="breadcrumbs-single rts-breadcrumb-area" style="<?php if(!empty($blog_bg_color)){?> background-color:<?php echo esc_html($blog_bg_color); }?>; background-image: url('<?php echo esc_url($single_blog_banner); ?>')">
             <!-- Breadcrunbs Post Thubmnail Banner Show -->
             <?php if($breadcrumbs_banner_show_hide == 'show') { ?>
                <div class="container-140">
                    <div class="row">
                        <div class="col-lg-12">
                            <div class="main-wrapper">
                                <?php while ( have_posts() ) : the_post(); ?>
                                    <?php if(has_post_thumbnail()){ ?>
                                        <div class="thumbnail-banner-large-iamge grow">
                                            <?php the_post_thumbnail(); ?>
                                        </div>
                                    <?php } ?>
                                <?php endwhile; wp_reset_query(); ?>  
                            </div>
                        </div>
                    </div>
                </div>
            <?php } ?>

            <div class="<?php echo esc_attr($header_width);?>">
                <div class="breadcrumbs-inner bread-<?php echo esc_attr($post_menu_type); ?>"> 
                    <div class="row">
                        <div class="col-lg-12 col-md-12">
                               <?php 
                                  $post_meta_title = get_post_meta(get_the_ID(), 'select-title', true);?>
                                  <?php if( $post_meta_title != 'hide' ){             
                                ?>
                                    <div class="blog-details-bd-wrapper">
                                        <p>
                                            <?php if(!empty($mighti_option['blog-category'])){
                                                if($mighti_option['blog-category'] == 'show'){
                                                    if(get_the_category()):
                                                         the_category(' / ');                                                 
                                                    endif;
                                                    }
                                                }
                                                else{
                                                    if(get_the_category()): ?>                                       
                                                        <?php
                                                            $seperator = ' , '; 
                                                            $after = ' ';
                                                            $before = ' ';
                                                        
                                                            ?>
                                                            <?php the_category(' / ');  ?> 
                                                    
                                                    <?php
                                                endif;
                                            } ?>
                                        </p>
                                        <h1 class="title rts_hero__title">
                                            <?php if(!empty($mighti_option['single_blog_title'])){
                                                echo esc_html($mighti_option['single_blog_title']);
                                                }else{
                                                 the_title();
                                                }
                                            ?>
                                        </h1>
                                        <?php if(!empty($display_name)){ ?>
                                            <div class="author-area">
                                                    <?php echo get_avatar(get_the_author_meta( 'ID' ), 60); ?>
                                                <div class="info">
                                                        <span>
                                                            <?php  echo esc_html__( 'Admin', 'mighti')?>
                                                        </span>
                                                        <p>
                                                            <?php echo esc_html($display_name); ?>
                                                        </p>
                                                </div>
                                            </div>
                                        <?php } ?>
                                    </div>
                                <?php } ?>
                        </div>

                    </div>
                </div>
                
            </div>
        </div>
    <?php }

     elseif($blog_banner_main!='' || $blog_bg_color !='') {?>
    <div class="breadcrumbs-single" style="background-color:<?php echo esc_html($blog_bg_color); ?>; background-image: url('<?php echo esc_url( $blog_banner_main );?>')">
        <div class="<?php echo esc_attr($header_width);?>">
                <div class="breadcrumbs-inner bread-<?php echo esc_attr($post_menu_type); ?>"> 
                    <div class="row">
                        <div class="col-lg-12 col-md-12">
                               <?php 
                                  $post_meta_title = get_post_meta(get_the_ID(), 'select-title', true);?>
                                  <?php if( $post_meta_title != 'hide' ){             
                                ?>
                                    <div class="blog-details-bd-wrapper">
                                        <p>
                                            <?php if(!empty($mighti_option['blog-category'])){
                                                if($mighti_option['blog-category'] == 'show'){
                                                    if(get_the_category()):
                                                         the_category(' / ');                                                 
                                                    endif;
                                                    }
                                                }
                                                else{
                                                    if(get_the_category()): ?>                                       
                                                        <?php
                                                            $seperator = ' , '; 
                                                            $after = ' ';
                                                            $before = ' ';
                                                        
                                                            ?>
                                                            <?php the_category(' / ');  ?> 
                                                    
                                                    <?php
                                                endif;
                                            } ?>
                                        </p>
                                        <h1 class="title rts_hero__title">
                                            <?php if(!empty($mighti_option['single_blog_title'])){
                                                echo esc_html($mighti_option['single_blog_title']);
                                                }else{
                                                 the_title();
                                                }
                                            ?>
                                        </h1>
                                        <?php if(!empty($display_name)){ ?>
                                            <div class="author-area">
                                                    <?php echo get_avatar(get_the_author_meta( 'ID' ), 60); ?>
                                                <div class="info">
                                                        <span>
                                                            <?php  echo esc_html__( 'Admin', 'mighti')?>
                                                        </span>
                                                        <p>
                                                            <?php echo esc_html($display_name); ?>
                                                        </p>
                                                </div>
                                            </div>
                                        <?php } ?>
                                    </div>
                                <?php } ?>
                        </div>
                        
                        
                        
                    </div>
                </div>
            </div>
        </div>
    </div>
    <?php }

      elseif(!empty($mighti_option['breadcrumb_bg_color']) || !empty($mighti_option['page_banner_main']['url'])) { ?>
        <div class="breadcrumbs-single rts-breadcrumb-area" style="background-color:<?php echo esc_attr($mighti_option['breadcrumb_bg_color']);?>; background-image: url('<?php echo esc_url($mighti_option['page_banner_main']['url']);?>') ">
            <!-- Breadcrunbs Post Thubmnail Banner Show -->
            <?php if($breadcrumbs_banner_show_hide == 'show' && $page_layout != '2left' && $page_layout != '2right') { ?>
                <div class="container-1640">
                    <div class="row">
                        <div class="col-lg-12">
                            <div class="main-wrapper">
                                <?php while ( have_posts() ) : the_post(); ?>
                                    <?php if(has_post_thumbnail()){ ?>
                                        <div class="thumbnail-banner-large-iamge grow">
                                            <?php the_post_thumbnail(); ?>
                                        </div>
                                    <?php } ?>
                                <?php endwhile; wp_reset_query(); ?>  
                            </div>
                        </div>
                    </div>
                </div>
            <?php } ?>
        
            <div class="<?php echo esc_attr($header_width);?>">
                <div class="breadcrumbs-inner bread-<?php echo esc_attr($post_menu_type); ?>"> 
                <div class="row">
                        <div class="col-lg-12 col-md-12">
                                <?php 
                                    $post_meta_title = get_post_meta(get_the_ID(), 'select-title', true);?>
                                    <?php if( $post_meta_title != 'hide' ){             
                                ?>
                                    <div class="blog-details-bd-wrapper">
                                        <p>
                                            <?php if(!empty($mighti_option['blog-category'])){
                                                if($mighti_option['blog-category'] == 'show'){
                                                    if(get_the_category()):
                                                            the_category(' / ');                                                 
                                                    endif;
                                                    }
                                                }
                                                else{
                                                    if(get_the_category()): ?>                                       
                                                        <?php
                                                            $seperator = ' , '; 
                                                            $after = ' ';
                                                            $before = ' ';
                                                        
                                                            ?>
                                                            <?php the_category(' / ');  ?> 
                                                    
                                                    <?php
                                                endif;
                                            } ?>
                                        </p>
                                        <h1 class="title rts_hero__title">
                                            <?php if(!empty($mighti_option['single_blog_title'])){
                                                echo esc_html($mighti_option['single_blog_title']);
                                                }else{
                                                    the_title();
                                                }
                                            ?>
                                        </h1>
                                        <?php if(!empty($display_name)){ ?>
                                            <div class="author-area">
                                                    <?php echo get_avatar(get_the_author_meta( 'ID' ), 60); ?>
                                                <div class="info">
                                                        <span>
                                                            <?php  echo esc_html__( 'Admin', 'mighti')?>
                                                        </span>
                                                        <p>
                                                            <?php echo esc_html($display_name); ?>
                                                        </p>
                                                </div>
                                            </div>
                                        <?php } ?>
                                    </div>
                                <?php } ?>
                        </div>
                </div>
                </div>
            </div>
        </div>
      <?php }

    else{?>
        <div class="reactheme-breadcrumbs-inner">
            <div class="container">
                <div class="row">
                    <div class="col-md-12">
                        <div class="breadcrumbs-inner bread-<?php echo esc_attr($post_menu_type); ?>"> 
                            <?php
                            $post_meta_title = get_post_meta(get_the_ID(), 'select-title', true);?>
                            <?php if( $post_meta_title != 'hide' ){             
                            ?>
                                <h1 class="page-title">
                                    <?php if($content_banner !=''){
                                        echo esc_html($content_banner);
                                    } else {
                                        the_title();
                                    }
                                    ?>
                                </h1>
                            <?php }                             
                            ?>  
                            
                        </div>
                    </div>
                </div>
            </div>
        </div>
    <?php } ?>
    
</div>